_AS_STRINGS = {};
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE = {};
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.SIGN_IN = 'Sign In';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.ACCOUNT_INFORMATION = 'Information';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.LOCATION = 'Local sync folder';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.UNLINK = 'Unlink this NAS';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.NAME = 'Account';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.LINK = 'Google Drive Location';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.QUOTA = 'Total capacity';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.AVAILABLE = 'Available';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.STATUS = 'Status';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.OPEN = 'Open'
//status
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.START = 'Resume';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.STOP = 'Pause';
//sync status
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.CREATE_FOLDER = 'Create destination folder';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.LOCAL_FULL = '(Local Folder) Destination data volume is full.';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.REMOTE_FULL = '(Google Drive) Storage space full.';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.NOT_EXISTED_FOLDER = '(Local Folder) Sync folder does not exist.';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.REMOTE_INDEX = '(Google Drive) Indexing';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.LOCAL_INDEX = '(Local Folder) Indexing';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.IDLE = 'Idle';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.SOME_FILES_CANNOT_BE_SYNCHRONIZED = 'Some files cannot be synchronized. Click {0}here{1} to view the list.';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.FILE_LIST = 'File list';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.SYNCHRONIZATION_FAILED = 'Synchronization failed.';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.DOWNLOAD_FAILED = 'Download failed';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.UPLOAD_FAILED = 'Upload failed';

// Error messages
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.FILE_IS_BUSY = 'Can not lock the configuration file.';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.KEY_REJECTED = 'Key was rejected by service.';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.OUT_OF_MEMORY = 'Out of memory.';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.FILE_SYSTEM_READ_ONLY = 'File system is Read only.';

//Settings

_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.SELECTED_FOLDER_NAME = 'New Local Sync Folder';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.CURRENT_FOLDER_NAME = 'Current Local Sync Folder';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.FOLDER_SETTINGS = 'Folder Settings';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.PLEASE_SELECT_LOCAL_FOLDER = 'Select a local sync folder.';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.DO_NOT_SYNC_FOLDER = 'Select the Google Drive folder(s) which will be synced.';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.FILE_FILTER = 'Filter';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.TRAFFIC_CONTROL = 'Bandwidth Limitation';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.SIZE_LIMIT = 'File size exceeds (MB)';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.UPLOAD_LIMIT = 'Limited maximum upload speed (KB/s)';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.DOWNLOAD_LIMIT = 'Limited maximum download speed (KB/s)';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.KEEP_EXTRA = 'When files are deleted on the source, also delete the corresponding files at the destination.';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.SYNCHRONIZITION = 'Synchronizition (2-way)';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.DATASYNC_GOOGLE_DRIVE_TO_NAS = 'Google Drive to NAS (one-way)';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.NAS_TO_DATASYNC_GOOGLE_DRIVE = 'NAS to Google Drive (one-way)';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.FILTER_TEXT = 'File exclusions: Here you can set filtering rules. A file will not be synchronized if it meets any of the conditions configured below.';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.SYNC_ALL_FILES_IN_SELECTED_FOLDER = 'Synchronize all files in selected folders up to the highest level.';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.FORCE_SUSPECTED_MALICIOUS_FILES = 'Force Google Drive to synchronize suspected malicious files.';

//Filter Type
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.DOCUMENT = 'Documents';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.VIDEO = 'Video';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.MUSIC = 'Audio';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.PHOTO = 'Images';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.APPLICATION = 'Applications';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.FILTER_RULES_1 = 'Only one filter rule can be added at a time.';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.FILTER_RULES_2 = 'Entering *.abc will cause all files with the file extension abc to be excluded.';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.FILTER_RULES_3 = 'Entering abc.* will cause all files named abc to be excluded.';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.FILTER_RULES_4 = 'Entering *abc* will cause all files with names containing abc to be excluded.';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.FILTER_RULES_5 = 'An asterisk used as a wildcard can only be used at the beginning or the end of a filtering rule, not in the middle of the term.';

//Config panel
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.DATASYNC_GOOGLE_DRIVE_LIMIT_TEXT = 'Note: Due to Google Drive limitations, files in the following circumstances will not be synchronized.';
_AS_STRINGS.DATASYNC_GOOGLE_DRIVE.DATASYNC_GOOGLE_DRIVE_LIMIT_RULE1 = '(1) Individual files greater than 5TB in size.';
